ByteBufferPacketPool (ActiveIO 1.0 API)
Keywords: org.activeio.packet.ByteBufferPacketPool class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.packet
Class ByteBufferPacketPool

    java.lang.Object
      org.activeio.packet.PacketPool
          org.activeio.packet.ByteBufferPacketPool

public final class ByteBufferPacketPool
extends PacketPool

Provides a simple pool of ByteBuffer objects.

Version:
  $Revision: 1.1 $

Nested Class Summary

Nested classes inherited from class org.activeio.packet.PacketPool
`PacketPool.PooledPacket`

Field Summary

Fields inherited from class org.activeio.packet.PacketPool
`DEFAULT_PACKET_SIZE, DEFAULT_POOL_SIZE`

Constructor Summary
`ByteBufferPacketPool(int packetCount, int packetSize)` Creates a pool of `bufferCount` ByteBuffers that are directly allocated being `bufferSize` big.

Method Summary
`protected Packet` | `allocateNewPacket()`

Methods inherited from class org.activeio.packet.PacketPool
`getPacket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBufferPacketPool

    public ByteBufferPacketPool(int packetCount,
                                int packetSize)

  Creates a pool of `bufferCount` ByteBuffers that are directly allocated being `bufferSize` big.

Parameters:
  `packetCount` - the number of buffers that will be in the pool.
  `packetSize` - the size of the buffers that are in the pool.

Method Detail

### allocateNewPacket

    protected Packet allocateNewPacket()

  Specified by:
    `allocateNewPacket` in class `PacketPool`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.